requirements-builder

Build requirements files from setup.py requirements.


Keywords
requirements-builder
License
BSD-3-Clause
Install
pip install requirements-builder==0.3.0

Documentation

Requirements-Builder

About

Build requirements from setup.py to test your package against minimum, latest and development versions of your package dependencies. Particularly useful when combined with your CI systems build matrix.

Installation

Requirements-Builder is on PyPI so all you need is:

$ pip install requirements-builder

Or, if you have virtualenvwrapper installed:

$ mkvirtualenv requirements-builder
$ pip install requirements-builder

Testing

Running the test suite is as simple as:

$ ./run-tests.sh